Description
Hello,

How to pass media.///logo.png to .jrxml built in iReport?
Familiar with below approach:
https://www.servoy.com/forum/viewtopic.php?f=15&t=16909
but now need to submit Servoy's media object

Any hints? Are there any preferred formats, extensions?

Regards

History

#1 - 12/03/2012 11:42 PM - Fabrice Roger-Dalbert

did you try this kind of jasper usage:

- create a logo parameter in your report (parameter class java.lang.object) then from your ireport palette place an image component (cancel the path
wizard)

- in the image component check that expression class is java.awt.image and change the source expression to

net.sf.jasperreports.engine.util. JRImageLoader.loadimage((byte[]) $P{logo})

- then from servoy

parameters['logo']=solutionModel.getMedia('mylogo.png’).bytes;

plugins.jasperPluginRMI.runReport(databaseManager.getDataSourceServerName(controller.getDataSource()),
'yourreportwithlogo.jrxml' ,null,plugins.jasperPluginRMI.OUTPUT_FORMAT.VIEW,parameters);

#2 - 12/04/2012 06:57 PM - Imre Tokai
- Status changed from New to Feedback

- % Done changed from 0 to 100

Thanks Fabrice -it works!
JRImageLoader.loadlmage does the trick

Regards

#3 - 12/05/2012 08:37 AM - Andrei Costache
- Status changed from Feedback to Closed
